#version: '3.8'

services:
  upload-db:
    build: .
    volumes:
      - ../tp4/src/storage/app/ftp:/app/watched
      - ./upload.sh:/app/upload.sh
    restart: unless-stopped
    environment:
      - SUPABASE_URL=https://your-supabase-url.supabase.co/storage/v1/object/csv
      - SUPABASE_KEY=your-supabase-key
    logging:
      driver: "json-file"
      options:
        max-size: "5m"  # Maximum size of a log file
        max-file: "3"     # Maximum number of log files to keep
